import f from "./index-extends.js";
import h from "./index-defineProperty.js";
import a, { forwardRef as p, PureComponent as u } from "react";
import c from "./index-Parser.js";
class n extends u {
  componentDidUpdate() {
    const {
      handleParse: e
    } = this.props;
    e();
  }
  render() {
    const {
      href: e,
      width: t,
      showText: o,
      allowFullScreen: r,
      autoPlay: l,
      showCaptions: s,
      children: i
    } = this.props;
    return a.createElement("div", {
      className: "fb-video",
      "data-href": e,
      "data-width": t,
      "data-show-text": o,
      "data-show-captions": s,
      "data-autoplay": l,
      "data-allowfullscreen": r
    }, i);
  }
}
h(n, "defaultProps", {
  width: void 0,
  showText: void 0,
  allowFullScreen: void 0,
  autoPlay: void 0,
  showCaptions: void 0,
  children: void 0
});
p((d, e) => a.createElement(c, null, ({
  handleParse: t
}) => a.createElement(n, f({}, d, {
  handleParse: t,
  ref: e
}))));
